Bug 1879282 - Update OLM references to point to the OLM's new doc site
Summary: Update OLM references to point to the OLM's new doc site
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.7.0
Assignee: Jakub Hadvig
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks: 1885724
TreeView+ depends on / blocked
 
Reported: 2020-09-15 21:02 UTC by Harish Govindarajulu
Modified: 2021-02-24 15:18 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Installed Operators page in OCP UI has hyperlink to OLM's github doc. Consequence: Wrong linking to the docs. Fix: Point Installed Operators page hyperlink to OLM docs at https://olm.operatorframework.io/ Result: Linking at Installed Operators page takes user to the OLM docs.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:18:03 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screen shot showing the incorrect link (150.29 KB, image/png)
2020-09-25 03:19 UTC, Siva Reddy
no flags Details
Screen shot showing the correct link (128.99 KB, image/png)
2020-10-14 17:15 UTC, Siva Reddy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6651 0 None closed Bug 1879282: Update OLM documentation link to point to doc site 2021-01-15 12:35:44 UTC
Github openshift console pull 6820 0 None closed Bug 1879282: Update doc links in installed operators page 2021-01-15 12:35:06 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:18:40 UTC

Description Harish Govindarajulu 2020-09-15 21:02:14 UTC
Description of problem:

Installed Operators page(under Operators tab) in OCP UI has hyperlink to OLM's github doc. This needs to be updated to point to the OLM's doc site: https://olm.operatorframework.io/

Comment 2 Siva Reddy 2020-09-25 03:19:15 UTC
The link is still pointing to the GitHub link and not the OLM site. Hence returning this bug.

Version:
4.6.0-0.nightly-2020-09-24-162403 

Steps to reproduce:
1. Go to installed Operators page(under Operators tab) 

  The link is pointing to OLM's github doc and not to the OLM's doc site: https://olm.operatorframework.io/
(screenshot attached)

Comment 3 Siva Reddy 2020-09-25 03:19:55 UTC
Created attachment 1716505 [details]
Screen shot showing the incorrect link

Comment 4 Samuel Padgett 2020-09-25 12:36:13 UTC
The Operator SDK link should still point to GitHub since that's where you get the SDK. Only the other link should be changed. Moving back ON_QA.

Comment 5 Samuel Padgett 2020-09-25 12:36:51 UTC
The first link should point to the OpenShift docs, not https://olm.operatorframework.io/ as well.

Comment 6 Samuel Padgett 2020-09-25 12:39:47 UTC
I guess the SDK link should point to https://sdk.operatorframework.io/

Comment 10 Peter Ruan 2020-10-08 20:11:47 UTC
with Server Version: 4.6.0-0.nightly-2020-10-08-043318 still not fix, the `Operator SDK` link points to https://github.com/operator-framework/operator-sdk

Comment 13 Siva Reddy 2020-10-14 16:28:07 UTC
Now the correct links are showing for the documentation link and the sdk link.
Documetation link: https://docs.openshift.com/container-platform/4.6/operators/understanding/olm-what-operators-are.html
SDK link: https://sdk.operatorframework.io/

Version:
 4.7.0-0.nightly-2020-10-14-101154

Steps to verify:
1. Go to installed Operators page(under Operators tab) 
    the links are pointing to the correct locations

attached the screenshot

Comment 14 Siva Reddy 2020-10-14 17:15:33 UTC
Created attachment 1721543 [details]
Screen shot showing the correct link

Comment 18 errata-xmlrpc 2021-02-24 15:18:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.